package gov.va.med.edp.rpc;

import gov.va.med.vistalink.adapter.record.VistaLinkFaultException;
import org.springframework.dao.DataRetrievalFailureException;

public class VistaLinkRpcDataRetrievalFailureException extends DataRetrievalFailureException {

    private VistaLinkFaultException fault;

    public VistaLinkRpcDataRetrievalFailureException(VistaLinkFaultException fault) {
        super(fault.getMessage(), fault);
        this.fault = fault;
    }

    public String getErrorCode() {
        return fault.getErrorCode();
    }

    public String getErrorMessage() {
        return fault.getErrorMessage();
    }

    public String getErrorType() {
        return fault.getErrorType();
    }

    public String getFaultActor() {
        return fault.getFaultActor();
    }

    public String getFaultCode() {
        return fault.getFaultCode();
    }

    public String getFaultString() {
        return fault.getFaultString();
    }
}
